#
# spec file for package fluidsynth-dssi
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _rev 3a9b7f16ce00a069decd9e4b6efbe31389fefd6d
Name:           fluidsynth-dssi
Version:        1.9.9+git13012019
Release:        1.22
Summary:        Fluidsynth Plug-In for Disposable Soft Synth Interface
License:        GPL-2.0-or-later
Group:          Productivity/Multimedia/Sound/Midi
Url:            http://dssi.sf.net
Source:         https://github.com/schnitzeltony/%{name}/archive/%{_rev}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         fluidsynth-dssi-add-closedir.diff
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(dssi)
BuildRequires:  pkgconfig(fluidsynth)
BuildRequires:  pkgconfig(gail)
BuildRequires:  pkgconfig(gdk-2.0)
BuildRequires:  pkgconfig(gdk-x11-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(gtk+-unix-print-2.0)
BuildRequires:  pkgconfig(gtk+-x11-2.0)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(liblo)

%description
FluidSynth-DSSI is the plug-in implementation of fluidsynth on DSSI
(Disposable Soft Synth Interface) with a GTK+ GUI.

%prep
%setup -q -n %{name}-%{_rev}
%autopatch -p1

%build
autoreconf --force --install
CFLAGS="%{optflags} -fno-strict-aliasing" \
%configure --with-gtk2
make %{?_smp_mflags}

%install
%make_install

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%{_libdir}/dssi
%doc README ChangeLog TODO
%license COPYING

%changelog
* Fri Apr  5 2019 plater <davejplater@gmail.com>
- Update to pre 2.0.0 git snapshot 1.9.9+git13012019 to fix
  Factory build and removed obsolete patch
  fluidsynth-dssi-nogtk1.diff
- Upstream changes:
  * Add /usr/share/soundfonts to sf2 default paths
  * Fixes for recent autotools
  * Fixes for fluidsynth 2.x
  * Add configuration file support for
  * audio/realtime-prio: realtime priority for threads.
  * synth/maxchannels:Maximum channels supported by fluidsynth-dssi
  * parallel-threads: Number of parallel threads used for sound
    rendering
  * dynamic-sample-loading: -> synth.dynamic-sample-loading
  * Don't trash effects but set NULL to avoid useless copying within
  fluidsynth to reduce CPU load
  * Fix some gcc truncation warnings
  * Set default max channels to 32
  * Bug fix to fsd_cleanup() from Rui Nuno Capela, allowing eventual
  reinstantiation of FluidSynth (sf.net Tracker ID 1990241).
  * Patch from Albert Graef to pass sysex messages on to FluidSynth,
  allowing the use of MIDI Tuning Standard.
  * Fixed plugin to use reentrant strtok_r().
* Sat Oct  1 2011 coolo@suse.com
- add libtool as buildrequire to make the spec file more reliable
* Fri Apr  2 2010 davejplater@gmail.com
- Update to version 1.0.0
* Fri Jul 24 2009 tiwai@suse.de
- fix obsoleted run_ldconfig macro
- clean up using standard rpm macros
- fix missing closedir (bnc#525017)
* Fri Jul 24 2009 tiwai@suse.de
- fix buildrequires: dssi-devel and libjack-devel
* Tue Apr 17 2007 tiwai@suse.de
- fix buildrequires ladspa -> ladspa-devel
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 12 2005 tiwai@suse.de
- removed gtk1 support.
- removed glib* from neededforbuild.
* Tue Jun 14 2005 tiwai@suse.de
- moved from fluidsynth sub-package: version 0.9.1.
